//============================================================================
//
// Copyright (C) 2002-2005  David Schneider, Lars Kdderitzsch
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//============================================================================

package com.atlassw.tools.eclipse.checkstyle.projectconfig;

//=================================================
// Imports from java namespace
//=================================================

//=================================================
// Imports from javax namespace
//=================================================

//=================================================
// Imports from com namespace
//=================================================

//=================================================
// Imports from org namespace
//=================================================

/**
 * Defines XML tages used in configuration files.
 */
public class XMLTags
{
    // =================================================
    // Public static final variables.
    // =================================================

    static final String CHECK_CONFIG_NAME_TAG = "check-config-name"; //$NON-NLS-1$

    static final String ENABLED_TAG = "enabled"; //$NON-NLS-1$

    static final String FILE_MATCH_PATTERN_TAG = "file-match-pattern"; //$NON-NLS-1$

    static final String FILESET_TAG = "fileset"; //$NON-NLS-1$

    static final String FILESET_CONFIG_TAG = "fileset-config"; //$NON-NLS-1$

    static final String FORMAT_VERSION_TAG = "file-format-version"; //$NON-NLS-1$

    static final String INCLUDE_PATTERN_TAG = "include-pattern"; //$NON-NLS-1$

    static final String MATCH_PATTERN_TAG = "match-pattern"; //$NON-NLS-1$

    static final String NAME_TAG = "name"; //$NON-NLS-1$

    static final String FILTER_TAG = "filter"; //$NON-NLS-1$

    static final String FILTER_DATA_TAG = "filter-data"; //$NON-NLS-1$

    static final String VALUE_TAG = "value"; //$NON-NLS-1$

    static final String SIMPLE_CONFIG_TAG = "simple-config"; //$NON-NLS-1$

    /** common description tag. */
    public static final String DESCRIPTION_TAG = "description"; //$NON-NLS-1$

    /** location tag. */
    public static final String LOCATION_TAG = "location"; //$NON-NLS-1$

    /** check configuration type tag. */
    public static final String TYPE_TAG = "type"; //$NON-NLS-1$

    // =================================================
    // Static class variables.
    // =================================================

    // =================================================
    // Instance member variables.
    // =================================================

    // =================================================
    // Constructors & finalizer.
    // =================================================

    // =================================================
    // Methods.
    // =================================================
}